%define module psycopg2

Summary:        PostgreSQL database adapter for Python
Name:           python-%module
Version:        2.5.1
Release:        %mkrel 1
Group:          Development/Python
License:        GPLv2 and ZPLv2.1 and BSD
URL:            http://www.initd.org/psycopg/
Source0:        http://initd.org/psycopg/tarballs/PSYCOPG-2-5/%{module}-%{version}.tar.xz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  postgresql-devel

%description
psycopg is a PostgreSQL database adapter for the Python programming
language (just like pygresql and popy.) It was written from scratch with
the aim of being very small and fast, and stable as a rock. The main
advantages of psycopg are that it supports the full Python DBAPI-2.0 and
being thread safe at level 2.

psycopg2 is an almost complete rewrite of the psycopg 1.1.x branch.


%package doc
Summary:        Documentation for psycopg python PostgreSQL database adapter
Group:          Documentation
BuildArch:      noarch
Requires:       %{name}

%description doc
Documentation and example files for the psycopg python PostgreSQL
database adapter.

%prep
%setup -q -n %{module}-%{version}

%build
export CFLAGS="%{optflags}"
%{__python} setup.py build

# Fix for wrong-file-end-of-line-encoding problem; upstream also must fix this.
for i in `find doc -iname "*.html"`; do sed -i 's/\r//' $i; done
for i in `find doc -iname "*.css"`; do sed -i 's/\r//' $i; done

# Get rid of a "hidden" file that rpmlint complains about
rm -f doc/html/.buildinfo

%install
%{__python} setup.py install --skip-build --root=%{buildroot}

rm -rf $RPM_BUILD_ROOT%{python_sitearch}/psycopg2/tests
rm -rf $RPM_BUILD_ROOT%{python3_sitearch}/psycopg2/tests


%files
%doc AUTHORS LICENSE NEWS README
%{python_sitearch}/psycopg2*

%files doc
%doc doc examples/


%changelog
* Sat Aug 10 2013 billybot <billybot<> 2.5.1-1pclos2013
- update
